Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class Response

    java.lang.Object
      php.java.bridge.Response

    public class Response

extends java.lang.Object

This class is used to write the response to the front-end.

Author:
  jostb

Field Summary
`static int` | `COERCE_WRITER` A specialized writer which casts the value.
`static int` | `VALUES_WRITER` A specialized writer which writes arrays as values.

Constructor Summary
`Response(JavaBridge bridge)` Creates a new response object.

Method Summary
`Response` | `copyResponse()` Flush the current output buffer and create a new Response object where are writers have their default value
`void` | `flush()` Write the response.
`php.java.bridge.Response.Writer` | `selectWriter(int writerType)` Deprecated. Use setArrayValuesWriter or setCoerceWriter instead.
`php.java.bridge.Response.Writer` | `setArrayValuesWriter()` Selects a specialized writer which writes arrays as values.
`php.java.bridge.Response.Writer` | `setAsyncWriter()` Selects a specialized writer which does not write anything.
`php.java.bridge.Response.Writer` | `setCoerceWriter()` Selects a specialized writer which casts the value.
`php.java.bridge.Response.Writer` | `setDefaultWriter()` Selects the default writer
`void` | `setFinish(boolean keepAlive)`
`void` | `setResult(java.lang.Object value, java.lang.Class type)` Set the result packet.
`void` | `setResultClass(java.lang.Class value)` Set the result packet.
`void` | `setResultException(java.lang.Throwable value, java.lang.String asString)` Set the result packet.
`void` | `setResultObject(java.lang.Object value)` Set the result packet.
`void` | `setResultProcedure(long object, java.lang.String cname, java.lang.String name, java.lang.Object[] args)` Set the result packet.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUES_WRITER

    public static final int VALUES_WRITER

  A specialized writer which writes arrays as values. Used by getValues() and in php 4.

  See Also:
    `JavaBridge.getValues(Object)`, Constant Field Values

### COERCE_WRITER

    public static final int COERCE_WRITER

  A specialized writer which casts the value. Used by cast().

  See Also:
    `JavaBridge.cast(Object, Class)`, Constant Field Values

Constructor Detail

### Response

    public Response(JavaBridge bridge)

  Creates a new response object. The object is re-used for each packed.

  Parameters:
    `bridge` - The bridge.

Method Detail

### copyResponse

    public Response copyResponse()
                          throws java.io.IOException

  Flush the current output buffer and create a new Response object where are writers have their default value

  Throws:
    `java.io.IOException`

### setResultProcedure

    public void setResultProcedure(long object,
                                   java.lang.String cname,
                                   java.lang.String name,
                                   java.lang.Object[] args)

  Set the result packet.

  Parameters:
    `object` - The result object.
    `cname` - The php name of the procedure
    `name` - The java name of the procedure
    `args` - The arguments

### setResultException

    public void setResultException(java.lang.Throwable value,
                                   java.lang.String asString)

  Set the result packet.

  Parameters:
    `value` - The throwable
    `asString` - The string representation of the throwable

### setResultObject

    public void setResultObject(java.lang.Object value)

  Set the result packet.

  Parameters:
    `value` - The result object.

### setResultClass

    public void setResultClass(java.lang.Class value)

  Set the result packet.

  Parameters:
    `value` - The result object.

### setResult

    public void setResult(java.lang.Object value,
                          java.lang.Class type)

  Set the result packet.

  Parameters:
    `value` - The result object.
    `type` - The type of the result object.

### setFinish

    public void setFinish(boolean keepAlive)

### selectWriter

    public php.java.bridge.Response.Writer selectWriter(int writerType)

  Deprecated. Use setArrayValuesWriter or setCoerceWriter instead.

  Selects a different writer.

  Parameters:
    `writerType` - Must be Response#VALUES_WRITER or Response#COERCE_WRITER.
  Returns:
    The seleted writer.
  See Also:
    `VALUES_WRITER`, `COERCE_WRITER`

### setArrayValuesWriter

    public php.java.bridge.Response.Writer setArrayValuesWriter()

  Selects a specialized writer which writes arrays as values. Used by getValues() and in php 4.

  See Also:
    `JavaBridge.getValues(Object)`

### setCoerceWriter

    public php.java.bridge.Response.Writer setCoerceWriter()

  Selects a specialized writer which casts the value. Used by cast().

  See Also:
    `JavaBridge.cast(Object, Class)`

### setAsyncWriter

    public php.java.bridge.Response.Writer setAsyncWriter()

  Selects a specialized writer which does not write anything. Used by async. protocol.

  Returns:
    The async. writer

### setDefaultWriter

    public php.java.bridge.Response.Writer setDefaultWriter()

  Selects the default writer

  Returns:
    The default writer

### flush

    public void flush()
               throws java.io.IOException

  Write the response.

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD